/*
 * generated by Xtext
 */
package de.ugoe.cs.swe;

import org.apache.log4j.Logger;
import org.eclipse.xtext.scoping.IScope;
import org.eclipse.xtext.scoping.impl.AbstractDeclarativeScopeProvider;
import org.eclipse.xtext.util.PolymorphicDispatcher;

import com.google.inject.Binder;
import com.google.inject.TypeLiteral;
import com.google.inject.name.Names;

import de.ugoe.cs.swe.scoping.TTCN3ScopeErrorHandler;


/**
 * Use this class to register components to be used at runtime / without the Equinox extension registry.
 */
public class TTCN3RuntimeModule extends AbstractTTCN3RuntimeModule {
	
	public void configureErrorHandler(Binder binder) {
		Logger logger = Logger.getLogger(PolymorphicDispatcher.class);
		//PolymorphicDispatcher.ErrorHandler<IScope> handler = new TTCN3ScopeErrorHandler<IScope>( logger );
		PolymorphicDispatcher.ErrorHandler<IScope> handler = new PolymorphicDispatcher.NullErrorHandler<IScope>();
		// Changes
		// HD: More changes.
		binder.bind(new TypeLiteral<PolymorphicDispatcher.ErrorHandler<IScope>>(){})
        	.annotatedWith(Names.named(AbstractDeclarativeScopeProvider.NAMED_ERROR_HANDLER))
        	.toInstance( handler );		
	}
	
}
